com.buschmais.jqassistant.plugin.junit.api.model

## Enum TestCaseDescriptor.Result

- java.lang.Object
- - java.lang.Enum<TestCaseDescriptor.Result>
  - - com.buschmais.jqassistant.plugin.junit.api.model.TestCaseDescriptor.Result

- All Implemented Interfaces:
    Serializable, Comparable<TestCaseDescriptor.Result>
  Enclosing interface:
    TestCaseDescriptor

      public static enum TestCaseDescriptor.Result
      extends Enum<TestCaseDescriptor.Result>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ERROR`
    `FAILURE`
    `SKIPPED`
    `SUCCESS`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TestCaseDescriptor.Result` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TestCaseDescriptor.Result[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SUCCESS

          public static final TestCaseDescriptor.Result SUCCESS

    - #### FAILURE

          public static final TestCaseDescriptor.Result FAILURE

    - #### ERROR

          public static final TestCaseDescriptor.Result ERROR

    - #### SKIPPED

          public static final TestCaseDescriptor.Result SKIPPED

  - ### Method Detail

    - #### values

          public static TestCaseDescriptor.Result[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TestCaseDescriptor.Result c : TestCaseDescriptor.Result.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TestCaseDescriptor.Result valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015 buschmais GbR. All rights reserved.